Perform
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all objectives
Returns a list of objectives
Returns a list of objectives
Query Parameters
page?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0status?string
Filter by objective status
Value in
- "none"
- "on_track"
- "behind"
- "at_risk"
states?array<>
Filter by objective state
objective_types?array<>
Filter by objective type
owner_ids?array<>
Filter by owner IDs
tag_ids?array<>
Filter by objective tag IDs
team_ids?array<>
Filter by team IDs
department_ids?array<>
Filter by department IDs
division_ids?array<>
Filter by division IDs
location_ids?array<>
Filter by location IDs
starts_on[gte]?string
Starts on greater than or equal to
Format
datestarts_on[lte]?string
Starts on less than or equal to
Format
dateends_on[gte]?string
Ends on greater than or equal to
Format
dateends_on[lte]?string
Ends on less than or equal to
Format
dateupdated_at[gte]?string
Updated at greater than or equal to
Format
date-timeupdated_at[lte]?string
Updated at less than or equal to
Format
date-timeResponse Body
application/json
curl -X GET "https://example.com/api/v4/perform/objectives"{ "data": [ { "id": 0, "title": "string", "type": "string", "state": "string", "progress_percentage": 0, "status": "string", "starts_on": "2019-08-24", "ends_on": "2019-08-24", "parent_id": 0, "key_results": [ { "id": 0, "name": "string", "progress_percentage": 0, "value": 0.1, "start": 0.1, "target": 0.1, "metric": "string", "weight": 0, "status": "string", "currency_code": "string", "owner": { "id": 0, "name": "string" }, "starts_on": "2019-08-24", "ends_on": "2019-08-24" } ], "owner": { "id": 0, "name": "string" }, "team": { "id": 0, "name": "string" }, "department": { "id": 0, "name": "string" }, "division": { "id": 0, "name": "string" }, "location": { "id": 0, "name": "string" }, "tags": [ [] ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}